/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/
#ifndef __GDAM_SEARCH_PATH_H_
#define __GDAM_SEARCH_PATH_H_

#include <glib.h>

typedef enum {
	GDAM_SEARCH_PATH_FIND_DIRECTORY		= (1<<0),
	GDAM_SEARCH_PATH_FIND_FILE		= (1<<1)
} GdamSearchPathFlags;

/* initialize the default search paths */
void gdam_search_path_initialize();

/* the search path for human-readable configuration files. */
extern char *gdam_search_path_config;

/* Usually you just pass in NULL as the search path. */
char* gdam_search_path(const char*          filename,
                       const char*          path,
		       guint                flags);

/* Gets all files named "filename" in the search path.  Usually you 
 * just pass in NULL as the search path. */
void gdam_search_path_all (const char*          filename,
                           const char*          path,
		           guint                flags,
			   char**               filenames_out,
			   int*                 num_filenames_out);

#endif
