/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/
#ifndef __GDAM_PRODUCER_MP3_H_
#define __GDAM_PRODUCER_MP3_H_

typedef struct _GdamProducerMp3Class GdamProducerMp3Class;
typedef struct _GdamProducerMp3 GdamProducerMp3;

#include "gdamsongdatabase.h"
#include "gdamproducer.h"

GtkType gdam_producer_mp3_get_type();
#define GDAM_TYPE_PRODUCER_MP3              (gdam_producer_mp3_get_type ())
#define GDAM_PRODUCER_MP3(obj)              (GTK_CHECK_CAST ((obj), GDAM_TYPE_PRODUCER_MP3, GdamProducerMp3))
#define GDAM_PRODUCER_MP3_CLASS(klass)      (GTK_CHECK_CLASS_CAST ((klass), GDAM_TYPE_PRODUCER_MP3, GdamProducerMp3Class))
#define GDAM_IS_PRODUCER_MP3(obj)           (GTK_CHECK_TYPE ((obj), GDAM_TYPE_PRODUCER_MP3))
#define GDAM_IS_PRODUCER_MP3_CLASS(klass)   (GTK_CHECK_CLASS_TYPE ((klass), GDAM_TYPE_PRODUCER_MP3))


struct _GdamProducerMp3Class {
	GdamProducerClass 	producer_class;
};

struct _GdamProducerMp3 {
	GdamProducer		producer;
	char*                   filename;
	GdamSongDatabase*       song_database;
	int			buffer_size;
	int			fade_envelope;
	gboolean		non_seekable;
};

GdamProducerMp3* gdam_producer_mp3_new(GdamChannel*	channel);
void gdam_producer_mp3_set_filename(GdamProducerMp3*  	producer_mp3,
				    const char* 	filename);
void gdam_producer_mp3_set_buffer_size(GdamProducerMp3* producer_mp3,
                                       int              buffer_size);

#endif
