/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/
#ifndef __GDAS_SCRUB_H_
#define __GDAS_SCRUB_H_

/*
 * This source was suggested by ix@ntw.net.
 */

typedef struct _GdasScrub GdasScrub;
typedef struct _GdasScrubClass GdasScrubClass;

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "../gdasfilter.h"

GtkType gdas_scrub_get_type();
#define GDAS_TYPE_SCRUB			(gdas_scrub_get_type ())
#define GDAS_SCRUB(obj)              (GTK_CHECK_CAST ((obj), GDAS_TYPE_SCRUB, GdasScrub))
#define GDAS_SCRUB_CLASS(klass)      (GTK_CHECK_CLASS_CAST ((klass), GDAS_TYPE_SCRUB, GdasScrubClass))
#define GDAM_IS_SCRUB(obj)           (GTK_CHECK_TYPE ((obj), GDAS_TYPE_SCRUB))
#define GDAM_IS_SCRUB_CLASS(klass)   (GTK_CHECK_CLASS_TYPE ((klass), GDAS_TYPE_SCRUB))

struct _GdasScrubClass {
	GdasFilterClass		filter_class;
};

struct _GdasScrub {
	GdasFilter		filter;

	GdamFixed		input_rate;
	GdamFixed		fraction_at;

	GdamSample*		buffer;
	int			buffer_len;

	/* the length of samples to repeat */
	int			scrub_len;

	/* where to write the next sample to */
	int			write_index;

	/* where to read the next sample from */
	int			read_index;

	int			nonoverlap_size;
	int			overlap_countdown;
	int			overlap_length;
};

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
