/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/
#ifndef __GDAM_CURSOR_H_
#define __GDAM_CURSOR_H_

#include <gdk/gdktypes.h>

typedef enum
{
  GDAM_MOUSE_CURSOR = (GDK_LAST_CURSOR + 2),
  GDAM_SELECT_CURSOR,
  GDAM_MOVE_CURSOR,
  GDAM_HMOVE_CURSOR,
  GDAM_VMOVE_CURSOR,
  GDAM_TEMPO_CURSOR,
  GDAM_PHASE_CURSOR,
  GDAM_FIRSTBEAT_CURSOR,
  GDAM_BEATLINE_CURSOR,
  GDAM_INDEX_CURSOR,
  GDAM_LAST_CURSOR_ENTRY
} GdamCursorType;

void gdam_set_window_cursor 	      	      (GdkWindow*          win, 
    					       GdamCursorType      curtype);
#endif
